#' Dataset wastewater: 
#'
#' A dataset containing the long format of daily wastewater data collected in Minnesota from March 2022
#' to February 2023. The wastewater was collected twice a week with possible missing values.
#'
#' @format A data frame with 1348 rows and 4 variables:
#' \describe{
#'   \item{Code}{Character. The code name of the treatment plant where the wastewater was sampled.}
#'   \item{SampleDate}{Date. The sample collection date.}
#'   \item{ORFlab}{The ORF target.}
#'   \item{Nlab}{The N target.}
#' }
"wastewater"

#' Dataset wastewaterhealthworker: 
#'
#' A dataset containing the wide format of weekly wastewater and clinical case data collected in Minnesota from March 2022
#' to Feburary 2023. The wastewater was collected twice a week with possible missing values.
#'
#' @format A data frame with 196 rows and 5 variables:
#' \describe{
#'   \item{Code}{Character. The code name of the treatment plant where the wastewater was sampled.}
#'   \item{SampleDate}{Date. The sample collection date.}
#'   \item{HealthWorkerCaseCount}{Integer. Reported weekly Covid-19 positive case counts.}
#'   \item{WW.tuesday}{Flow adjusted wastewater measurement from Tuesday samples.}
#'   \item{WW.thursday}{Flow adjusted wastewater measurement from Thursday samples.}
#' }
"wastewaterhealthworker"